org.apache.cassandra.db.marshal

## Class SetType<T>

- java.lang.Object
- - org.apache.cassandra.db.marshal.AbstractType<T>
  - - org.apache.cassandra.db.marshal.CollectionType<java.util.Set<T>>
    - - org.apache.cassandra.db.marshal.SetType<T>

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public class SetType<T>
    extends CollectionType<java.util.Set<T>>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.marshal.CollectionType

`CollectionType.Kind`

### Field Summary

Fields
`AbstractType<T>` `elements`

### Fields inherited from class org.apache.cassandra.db.marshal.CollectionType

`kind, MAX_ELEMENTS`

### Fields inherited from class org.apache.cassandra.db.marshal.AbstractType

`columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, onDiskAtomComparator, reverseComparator`

### Constructor Summary

Constructors
Constructor and Description
`SetType(AbstractType<T> elements)`

### Method Summary

Methods
`protected void` `appendToStringBuilder(java.lang.StringBuilder sb)`
`static <T> SetType<T>` `getInstance(AbstractType<T> elements)`
`static SetType<?>` `getInstance(TypeParser parser)`
`TypeSerializer<java.util.Set<T>>` `getSerializer()`
`AbstractType<T>` `nameComparator()`
`java.nio.ByteBuffer` `serialize(java.util.List<Pair<java.nio.ByteBuffer,Column>> columns)`
`AbstractType<?>` `valueComparator()`

### Methods inherited from class org.apache.cassandra.db.marshal.CollectionType

`asCQL3Type, compare, enforceLimit, fromString, getString, getUnsignedShort, isCollection, pack, pack, toString, validate`

### Methods inherited from class org.apache.cassandra.db.marshal.AbstractType

`compareCollectionMembers, componentsCount, compose, decompose, fromStringCQL2, getColumnsString, getComponents, getReverseComparator, getString, intersects, intersects, isCommutative, isCompatibleWith, isValueCompatibleWith, parseDefaultParameters, validateCollectionMember`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### elements

    public final AbstractType<T> elements

### Constructor Detail

#### SetType

    public SetType(AbstractType<T> elements)

### Method Detail

#### getInstance

    public static SetType<?> getInstance(TypeParser parser)
                                  throws ConfigurationException,
                                         SyntaxException

Throws:
  `ConfigurationException`
  `SyntaxException`

#### getInstance

    public static <T> SetType<T> getInstance(AbstractType<T> elements)

#### nameComparator

    public AbstractType<T> nameComparator()

Specified by:
  `nameComparator` in class `CollectionType<java.util.Set<T>>`

#### valueComparator

    public AbstractType<?> valueComparator()

Specified by:
  `valueComparator` in class `CollectionType<java.util.Set<T>>`

#### getSerializer

    public TypeSerializer<java.util.Set<T>> getSerializer()

Specified by:
  `getSerializer` in class `AbstractType<java.util.Set<T>>`

#### appendToStringBuilder

    protected void appendToStringBuilder(java.lang.StringBuilder sb)

Specified by:
  `appendToStringBuilder` in class `CollectionType<java.util.Set<T>>`

#### serialize

    public java.nio.ByteBuffer serialize(java.util.List<Pair<java.nio.ByteBuffer,Column>> columns)

Specified by:
  `serialize` in class `CollectionType<java.util.Set<T>>`